ImagickDraw::popPattern
ImagickDraw::pushClipPath
The ImagickDraw class
PHP Manual

# ImagickDraw::push

(No version information available, might be only in CVS)

ImagickDraw::push — Clones the current ImagickDraw and pushes it to the stack

### Description

bool ImagickDraw::push ( void )
Warning

This function is currently not documented; only its argument list is available.

Clones the current ImagickDraw to create a new ImagickDraw, which is then added to the ImagickDraw stack. The original drawing ImagickDraw(s) may be returned to by invoking pop(). The ImagickDraws are stored on a ImagickDraw stack. For every Pop there must have already been an equivalent Push.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

ImagickDraw::popPattern
ImagickDraw::pushClipPath
The ImagickDraw class
PHP Manual